Summary: A Gnome based SIP/H323 teleconferencing application
Name: ekiga
Version: 2.0.1
Release: 1
URL: http://www.ekiga.org/
Source0: http://www.ekiga.org/ekiga-%{version}.tar.gz
License: GPL
Group: Applications/Communications
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: pwlib >= 1.10.0
Requires: opal >= 2.2.1
Requires: GConf2 >= 1.2.1
Requires: libgnomeui >= 2.0
Requires: libgnome >= 2.0
Requires: evolution-data-server
PreReq:    scrollkeeper
BuildRequires: gtk2-devel >= 2.0.0
BuildRequires: GConf2-devel >= 1.2.1
BuildRequires: libgnomeui-devel >= 2.0
BuildRequires: libgnome-devel >= 2.0
BuildRequires: openldap-devel
BuildRequires: pwlib-devel >= 1.10.0
BuildRequires: opal-devel >= 2.2.1
BuildRequires: libxml2-devel >= 2.5.0
BuildRequires: SDL-devel
BuildRequires: intltool >= 0.22
BuildRequires: pkgconfig
BuildRequires: scrollkeeper
BuildRequires: alsa-lib-devel
BuildRequires: gettext
BuildRequires: evolution-data-server-devel
BuildRequires: gnome-doc-utils >= 0.3.2
Obsoletes: gnomemeeting

%description
GnomeMeeting is a tool to communicate with video and audio over the internet.
It uses the the standard SIP and H323 protocols.

%prep
%setup -q
# %patch1 -p1 -b .gcc41

%build
CXXFLAGS="$RPM_OPT_FLAGS -DLDAP_DEPRECATED=1 -fPIC"
# We disable howl for now, waiting for ekiga 2.0 to ship with avahi support
%configure --disable-avahi --disable-scrollkeeper
make

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

rm -rf $RPM_BUILD_ROOT/var/scrollkeeper

desktop-file-install --vendor gnome --dir=$RPM_BUILD_ROOT%{_datadir}/applications --delete-original --copy-generic-name-to-name $RPM_BUILD_ROOT%{_datadir}/applications/ekiga.desktop

%find_lang ekiga

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/ekiga.schemas > /dev/null 2>&1
gconftool-2 --shutdown
scrollkeeper-update

%postun
scrollkeeper-update

%files -f ekiga.lang
%defattr(-,root,root)
%{_bindir}/ekiga
%{_bindir}/ekiga-config-tool
%{_libdir}/bonobo/servers/ekiga.server
%{_datadir}/applications/gnome-ekiga.desktop
%{_datadir}/gnome/help/ekiga
%{_datadir}/omf/ekiga
%{_datadir}/omf/ekiga/*.omf
%{_datadir}/pixmaps/*
%{_datadir}/man/*/*
%{_datadir}/sounds/ekiga
#%{_datadir}/ekiga
%{_sysconfdir}/gconf/schemas/ekiga.schemas

%changelog
* Tue Mar 14 2006 Daniel Veillard <veillard@redhat.com> - 2.0.1
- last minute bug rerelease 2.0.1

* Mon Mar 13 2006 Daniel Veillard <veillard@redhat.com> - 2.0.0
- final release of 2.0.0

* Mon Feb 20 2006 Karsten Hopp <karsten@redhat.de> 1.99.1-2
- Buildrequires: gnome-doc-utils

* Mon Feb 13 2006 Daniel Veillard <veillard@redhat.com> - 1.99.1-1
- new beta release issued

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.99.0-3.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.99.0-3.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sat Jan 28 2006 Daniel Veillard <veillard@redhat.com> - 1.99.0-3
- Rebuilt following a libedataserver revision

* Fri Jan 27 2006 Matthias Clasen <mclasen@redhat.com> - 1.99.0-2
- Use the upstream .desktop file

* Tue Jan 24 2006 Daniel Veillard <veillard@redhat.com> - 1.99.0-1
- initial version based on the 1.99.0 beta and gnomemeeting spec file.
